sp2sp(1)

NAME
sp2sp — translate from one spice-type analog waveform file format to another

SYNOPSIS

sp2sp [-c output-format] [-f fieldnamelist] [-n fieldnumberlist] [-t input-format] [-v] filename

Description

sp2sptranslates analog waveform data, such as that produced by spice, from one format to another. Several input and output formats are supported. In addition, a subset of the variables in the input file can be selected to appear in the output.

If no filename is specified, sp2sp reads from the standard input. Translated results are always sent to standard output.

sp2sp accepts the following options:

-c output-format
    Sets the format for the output file. Available formats include ascii, nohead, and cazm.

-f fieldnamelist
    A list of field names, seperated by commas. Only the fields matching the specified names are included in the output. Field names comparisons are case-insensitive. If a field name does not match exactly, sp2sp also looks for the field name with "v(" prepended, to allow for the tendancy of HSpice to list voltages this way in transient simulation output.

-n fieldnumberlist
    A list of field numbers, seperated by commas. The independent variable, for example the time axis of a transient simulation, is field number zero.

-t input-format
    Sets the expected format for input file or standard input. Input formats supported include: cazm and hspice.

-v  Turns on verbose mode to print detailed information about the input file.

FILE FORMATS SUPPORTED

A number of file formats are supported by sp2sp, with more to be added in the future. Note that some formats are only supported for input or output; this asymetry should also be corrected where possible.

ascii
    A simple tabular ascii format, with column headings. Note that files in this format may have very long lines. Available for output only.

nohead
    Supported for output only, this format is similar to the ascii format, except that there are no column headings. This format is most useful for feeding into other unix utilities, such as awk, for specialized postprocessing.

cazm
    This format, generated by the CAzM simulator, is accepted for input and output. It is essentialy the same as "ascii" except for its header.

hspice
    The formats produced by HSpice, from transient, sweep, and AC analyses are supprorted for input only. Both the ascii and binary subformats are supported for reading and are automaticly detected.

EXAMPLES

BUGS

For input file formats that support multiple sets of waveforms in the same file, only the first one is recognized and translated.